<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{D681A55E-B8E2-4741-87E6-49500109D6E0}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ThePimp</RootNamespace>
    <AssemblyName>Pimp</AssemblyName>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\win32\Debug\bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <OutputType>WinExe</OutputType>
    <RootNamespace>ThePimp</RootNamespace>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\win32\Release\bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <OutputType>WinExe</OutputType>
    <DebugSymbols>true</DebugSymbols>
    <RootNamespace>ThePimp</RootNamespace>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="atk-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\atk-sharp.dll</HintPath>
    </Reference>
    <Reference Include="gdk-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\gdk-sharp.dll</HintPath>
    </Reference>
    <Reference Include="glib-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\glib-sharp.dll</HintPath>
    </Reference>
    <Reference Include="gtk-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\gtk-sharp.dll</HintPath>
    </Reference>
    <Reference Include="gtkglarea-sharp, Version=0.0.3.0, Culture=neutral, PublicKeyToken=7df758c0fb49fe62">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\gtkglarea-sharp.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Posix, Version=2.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\Mono.Posix.dll</HintPath>
    </Reference>
    <Reference Include="pango-sharp, Version=2.10.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\win32\gtksharp\bin\pango-sharp.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="src\AssemblyInfo.cs" />
    <Compile Include="src\Main.cs" />
    <Compile Include="gtk-gui\generated.cs" />
    <Compile Include="src\AboutWindow.cs" />
    <Compile Include="gtk-gui\ThePimp.AboutWindow.cs" />
    <Compile Include="src\MainWindow.cs" />
    <Compile Include="gtk-gui\ThePimp.MainWindow.cs" />
    <Compile Include="src\NewFile.cs" />
    <Compile Include="gtk-gui\ThePimp.NewFile.cs" />
    <Compile Include="src\OpenFile.cs" />
    <Compile Include="gtk-gui\ThePimp.OpenFile.cs" />
    <Compile Include="src\PictureView.cs" />
    <Compile Include="gtk-gui\ThePimp.PictureView.cs" />
    <Compile Include="src\SaveFile.cs" />
    <Compile Include="gtk-gui\ThePimp.SaveFile.cs" />
    <Compile Include="src\ToolBox.cs" />
    <Compile Include="gtk-gui\ThePimp.ToolBox.cs" />
    <Compile Include="src\ErrorWindow.cs" />
    <Compile Include="gtk-gui\ThePimp.ErrorWindow.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\pipi-sharp\pipi-sharp.csproj">
      <Project>{FD11AF71-DCBE-4861-9DC6-EE4C6FD951C0}</Project>
      <Name>pipi-sharp</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="gtk-gui\gui.stetic" />
    <EmbeddedResource Include="images\about.png" />
    <EmbeddedResource Include="gtk-gui\objects.xml" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets. -->
  <Target Name="BeforeBuild">
    <CreateItem Include="..\win32\gtksharp\**\*.*" Exclude="..\win32\**\.svn\**">
      <Output TaskParameter="Include" ItemName="DistInclude" />
    </CreateItem>
    <Copy Sourcefiles="@(DistInclude)" DestinationFolder="$(OutDir)\..\%(RecursiveDir)" />
  </Target>
  <Target Name="AfterBuild">
  </Target>
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <GtkDesignInfo gtkVersion="2.12.1">
          <ExportedWidgets>
            <Widget>ThePimp.PictureView</Widget>
            <Widget>ThePimp.ToolBox</Widget>
          </ExportedWidgets>
        </GtkDesignInfo>
      </Properties>
    </MonoDevelop>
    <VisualStudio />
  </ProjectExtensions>
</Project>
